Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.io
Interface Destination

All Known Implementing Classes:
  CndSequencer.OutputDestination, GraphBatchDestination

    @NotThreadSafe
    public interface Destination

Interface used internally as the destination for the requests. This is used to abstract whether the requests should be submitted immediately or in a single batch.

Method Summary
`void` | `create(NodeConflictBehavior behavior, Path path, Property firstProperty, Property... additionalProperties)` Create a node at the supplied path and with the supplied attributes, using the supplied behavior in case of a node conflict.
`void` | `create(Path path, Iterable<Property> properties)` Create a node at the supplied path and with the supplied attributes.
`void` | `create(Path path, Property firstProperty, Property... additionalProperties)` Create a node at the supplied path and with the supplied attributes.
`ExecutionContext` | `getExecutionContext()` Obtain the execution context of the destination.
`void` | `setProperties(Path path, Iterable<Property> properties)` Sets the given properties on the node at the supplied path.
`void` | `setProperties(Path path, Property... properties)` Sets the given properties on the node at the supplied path.
`void` | `submit()` Signal to this destination that any enqueued create requests should be submitted.

Method Detail

### getExecutionContext

    ExecutionContext getExecutionContext()

  Obtain the execution context of the destination.

  Returns:
    the destination's execution context

### create

    void create(Path path,
                Iterable<Property> properties)

  Create a node at the supplied path and with the supplied attributes. The path will be absolute.

  Parameters:
    `path` - the absolute path of the node
    `properties` - the properties for the node; never null, but may be empty if there are no properties

### create

    void create(Path path,
                Property firstProperty,
                Property... additionalProperties)

  Create a node at the supplied path and with the supplied attributes. The path will be absolute.

  Parameters:
    `path` - the absolute path of the node
    `firstProperty` - the first property
    `additionalProperties` - the remaining properties for the node

### create

    void create(NodeConflictBehavior behavior,
                Path path,
                Property firstProperty,
                Property... additionalProperties)

  Create a node at the supplied path and with the supplied attributes, using the supplied behavior in case of a node conflict. The path will be absolute.

  Parameters:
    `behavior` - the node conflict behavior
    `path` - the absolute path of the node
    `firstProperty` - the first property
    `additionalProperties` - the remaining properties for the node

### setProperties

    void setProperties(Path path,
                       Property... properties)

  Sets the given properties on the node at the supplied path. The path will be absolute.

  Parameters:
    `path` - the absolute path of the node
    `properties` - the remaining properties for the node

### setProperties

    void setProperties(Path path,
                       Iterable<Property> properties)

  Sets the given properties on the node at the supplied path. The path will be absolute.

  Parameters:
    `path` - the absolute path of the node
    `properties` - the remaining properties for the node

### submit

    void submit()

  Signal to this destination that any enqueued create requests should be submitted. Usually this happens at the end of the document parsing, but an implementer must allow for it to be called multiple times and anytime during parsing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.